--	While i < 1000 do random between 271 and 314
--	then select number between 1 and 84 to get
--	deal. Change value to be between 300000 and
--	1MM. Then do insert of items based

DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`createNewDeals`$$

CREATE PROCEDURE `adobeCRM`.`createNewDeals` ( IN dealsToCreate INT )
BEGIN

	DECLARE i INT DEFAULT dealsToCreate;

	SET @campaignId = 1;
	SET @tempDealId = 0;
	SET @tempUserId = 0;


	WHILE i > 0 DO

		BEGIN

			SELECT FLOOR( 1 + ( RAND() * ( 84 - 1 ) ) ) INTO @tempDealId;
						
			SELECT FLOOR( 271 + ( RAND() * ( 314 - 271 ) ) ) INTO @tempUserId;

			INSERT INTO client_deals
				( client_id, user_id, campaign_id, title, description, lead_source_type_id, created_date,
					rating_type_id, priority_level, estimated_revenue, estimated_close_date,
						probability, stage_type_id, status_type_id )
				SELECT 
					client_id, @tempUserId, @campaignId, title, description, lead_source_type_id, created_date,
						rating_type_id, priority_level, estimated_revenue, estimated_close_date,
							probability, stage_type_id, status_type_id FROM client_deals
				WHERE
					client_deal_id = @tempDealId;

			SET i = i - 1;
	
		END;
	
	END WHILE;
	
	SELECT CONCAT( dealsToCreate, ' deals created.' );
	
END$$

DELIMITER;