DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesManagerById`$$

CREATE PROCEDURE `adobeCRM`.`getSalesManagerById` ( IN userId INT )
	BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager
			FROM users AS u INNER JOIN sales_managers AS sm
			WHERE sm.user_id = userId AND u.user_id = userId;
    END$$

DELIMITER;

