DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesRepsBySalesManagerId`$$

CREATE PROCEDURE `adobeCRM`.`getSalesRepsBySalesManagerId` ( IN userId INT )
	BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id, sr.manager_user_id
		FROM users AS u 
			INNER JOIN sales_reps AS sr
		WHERE
			u.user_id = sr.user_id AND 
			sr.manager_user_id = userId;
    END$$

DELIMITER;

