DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getAllRegionalSalesManagers`$$

CREATE PROCEDURE `adobeCRM`.`getAllRegionalSalesManagers` ()
	BEGIN
    	SELECT u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager, u.region_id
			FROM users AS u INNER JOIN regional_sales_managers AS rsm
			WHERE u.user_id = rsm.user_id;
    END$$

DELIMITER;

