DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getAllSalesQuotas`$$

CREATE PROCEDURE `adobeCRM`.`getAllSalesQuotas` ()
	BEGIN
		SELECT sq.user_id, u.fname, u.lname, u.is_manager, sq.quota_value AS sales_quota
		FROM sales_quotas AS sq
			INNER JOIN users AS u
		WHERE sq.user_id = u.user_id;
	END$$

DELIMITER;

