DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getRegionalSalesManagerById`$$

CREATE PROCEDURE `adobeCRM`.`getRegionalSalesManagerById` ( IN userId INT )
	BEGIN
    	SELECT 
			u.user_id, u.fname, u.lname, u.is_manager, u.is_regional_manager
		FROM users AS u 
			INNER JOIN regional_sales_managers AS rsm
		WHERE 
			rsm.user_id = userId AND 
			u.user_id = userId AND
			u.is_manager = 1 AND
			u.is_regional_manager = 1;
    END$$

DELIMITER;

