DELIMITER $$

DROP PROCEDURE IF EXISTS `adobeCRM`.`getSalesRegionsByRegionId`$$


CREATE PROCEDURE `adobeCRM`.`getSalesRegionsByRegionId` ( IN regionId INT )
	BEGIN
		SELECT 
				r.region_id, r.region_name
		FROM
			regions AS r
		WHERE
			r.region_id = regionId;
	END$$

DELIMITER;

